Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509.util
Interface StreamParser

All Known Implementing Classes:
  X509StreamParser

    public interface StreamParser

Method Summary
`java.lang.Object` | `read()`
`java.util.Collection` | `readAll()`

Method Detail

### read

    java.lang.Object read()
                          throws StreamParsingException

  Throws:
    `StreamParsingException`

### readAll

    java.util.Collection readAll()
                                 throws StreamParsingException

  Throws:
    `StreamParsingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD